发布时间 :2000-12-31 00:00:00
修订时间 :2008-09-05 16:23:00

[原文]BEA Systems WebLogic Express and WebLogic Server 5.1 SP1-SP6 allows remote attackers to bypass access controls for restricted JSP or servlet pages via a URL with multiple / (forward slash) characters before the restricted pages.

[CNNVD]BEA Systems WebLogic访问控制绕过漏洞(CNNVD-200012-212)

        BEA Systems WebLogic Express和WebLogic Server 5.1 SP1-SP6版本存在漏洞。远程攻击者可以借助具有多个在受限页面之前的/(正斜杠)字符串的URL绕过受限JSP或servlet的访问控制。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:bea:weblogic_server:5.1:sp6BEA Systems WebLogic Server 5.1 SP6
cpe:/a:bea:weblogic_server:5.1:sp6:expressBEA Systems WebLogic Express 5.1 SP6
cpe:/a:bea:weblogic_server:5.1:sp5BEA Systems WebLogic Server 5.1 SP5
cpe:/a:bea:weblogic_server:5.1:sp4:expressBEA Systems WebLogic Express 5.1 SP4
cpe:/a:bea:weblogic_server:5.1:sp3BEA Systems WebLogic Server 5.1 SP3
cpe:/a:bea:weblogic_server:5.1:sp1:expressBEA Systems WebLogic Express 5.1 SP1
cpe:/a:bea:weblogic_server:5.1:sp2BEA Systems WebLogic Server 5.1 SP2
cpe:/a:bea:weblogic_server:5.1:sp3:expressBEA Systems WebLogic Express 5.1 SP3
cpe:/a:bea:weblogic_server:5.1:sp5:expressBEA Systems WebLogic Express 5.1 SP5
cpe:/a:bea:weblogic_server:5.1:sp1BEA Systems WebLogic Server 5.1 SP1
cpe:/a:bea:weblogic_server:5.1:sp2:expressBEA Systems WebLogic Express 5.1 SP2
cpe:/a:bea:weblogic_server:5.1BEA Systems WebLogic Server 5.1
cpe:/a:bea:weblogic_server:5.1:sp4BEA Systems WebLogic Server 5.1 SP4

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(PATCH)  XF  weblogic-bypass-auth(5588)
(PATCH)  BID  5089

- 漏洞信息

BEA Systems WebLogic访问控制绕过漏洞
高危 访问验证错误
2000-12-31 00:00:00 2006-05-01 00:00:00
        BEA Systems WebLogic Express和WebLogic Server 5.1 SP1-SP6版本存在漏洞。远程攻击者可以借助具有多个在受限页面之前的/(正斜杠)字符串的URL绕过受限JSP或servlet的访问控制。

- 公告与补丁

        This issues is resolved in WebLogin 5.1 Service Pack 7. A patch is available for Service Pack 6:
        BEA Systems Weblogic Server 5.1 SP 6
        BEA Systems WebLogic Express 5.1 SP 6

- 漏洞信息

BEA WebLogic Restricted Page Multiple Slash Authorization Bypass
Remote / Network Access Authentication Management, Input Manipulation
Loss of Integrity Patch / RCS
Vendor Verified

- 漏洞描述

- 时间线

2000-11-27 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, BEA has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete